#include <bits/stdc++.h>
using namespace std;
int N,Q,B[200005],mesto,A[200005],br,medijana,prvN;
bool imaga;
map <int,int> m;
void unos(){
    cin >> N >> Q;
    for(int i=1; i<=N; i++){
        cin >> A[i];
        m[A[i]]++;
    }
    for(int i=1; i<=Q; i++)
        cin >> B[i];
    sort(A+1,A+N+1);
}
int main(){
    unos();
    for(int i=1; i<=Q; i++){
        if(m[B[i]]){
            medijana=N/2+1;
            mesto=0;
            for(int j=1; j<=N; j++){
                if(A[j]==B[i]){
                    if(abs(medijana-j)<abs(medijana-mesto)) mesto=j;
                }
            }
            if(mesto==medijana) cout << 0 << endl;
            else if(mesto>medijana) cout << (mesto-1)*2-N << endl;
            else{
                br=N;
                while(A[br/2+1]!=B[i]) br--;
                cout << N-br << endl;
            }
        }
        else{
            prvN=N;
            mesto=N+1;
            for(int j=1; j<=N; j++){
                if(A[j]>B[i]){
                    mesto=j;
                    break;
                }
            }
            prvN++;
            medijana=prvN/2+1;
            if(mesto==medijana) cout << 1 << endl;
            else if(mesto>medijana) cout << (mesto-1)*2-prvN+1 << endl;
            else{
                while(prvN/2+1!=mesto){prvN++;mesto++;}
                cout << prvN-N << endl;
            }
        }
    }
    return 0;
}